std::__detector< _Default, __void_t< _Op< _Args... > >, _Op, _Args... > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Public Types

using | type = _Op< _Args... >
using | value_t = true_type

## Detailed Description

template<typename _Default, template< typename... > class _Op, typename... _Args>
struct std::__detector< _Default, __void_t< _Op< _Args... > >, _Op, _Args... >

Implementation of the detection idiom (positive case).

Definition at line 2422 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Default , template< typename... > class _Op, typename... _Args>

using std::__detector< _Default, __void_t< _Op< _Args... > >, _Op, _Args... >::type = _Op<_Args...>

Definition at line 2425 of file type_traits.

## value_t

template<typename _Default , template< typename... > class _Op, typename... _Args>

using std::__detector< _Default, __void_t< _Op< _Args... > >, _Op, _Args... >::value_t = true_type

Definition at line 2424 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits